Subject: PG controller board

From: Lance Norskog <[email-masked]>
Date: 21 Oct 91 16:49:43 PDT (Mon)

This is excellent!  The software interface provided in high-res
mode is pretty weak.  For serious work I would much prefer your
outboard controller.  I have some software that does continuous
gesture recognition for mice, based on characterizing two single
input streams.  It mentions something about doing gloves via
multiple streams.  I can't use it with the glove because it
only does 2 bits.  (The software is on emsworth.andrew.cmu.edu
in /gestures.  It's by Dean Rubine, see the SIGGRAPH '91
proceedings.)

A point: the serial port approach does involve delays.  A parallel
port version would cut that down even farther.  Does the Motorola
evaluation board include enough parallel lines to make this
possible?  A parallel version would only involve one interrupt
per sample, and short polling loops.  

Another point: I would want a mode where the controller
board did as little interpretation as possible.  Just feed 
the raw counters in and let the big CPU with floating point 
handle X,Y,Z,rot issues.

A third point: does the Motorola chip include timers? A
global timestamp, based on the start of the sample cycle
in the board, would be very useful for doing synchronization
work.  There are algorithms for dealing with irregularly
spaced input streams; a prediction algorithm would need
accurate timestamps to operate properly.

Lance Norskog

---

From: [email-masked]
Date: Tue, 22 Oct 91 08:23:37 -0600

Given the very experimental tendancy of this group I have a sugestion
for the people designing outboard controller cards.  I would love to
have one which I could down load the code to.  In my experience, being
able to down load a new version of the controller code, rather than
having to burn another prom is a big win.  Especially for those of us
who would have to burn the proms at work then bring them home to work
on.

Also, in terms of lower cost, such a system would let someone with
considerably less equipment start experimenting with a controller
card.  I haven't looked, but surely we can find a simple monitor for
one of these controllers which will allow down loading?

Dudley Irish
________________________________________________________________________
Dudley Irish / [email-masked] / Manager Computer Operations
Center for Scientific Computing, Dept of Mathematics, University of Utah

The views expressed in this message do not reflect the views of the
Dept of Mathematics, the University of Utah, or the State of Utah.

---

From: [email-masked] (Ron Menelli)
Date: Wed, 23 Oct 91 13:42:47 CDT

>who would have to burn the proms at work then bring them home to work

This is another reason that I think that the 68HC811E2 is the way to go. The
2k of onboard EEPROM is more than enough for the current incarnation of the
driver software (about 800 bytes now w/deglitching code), and updates would be
very easy.

>one of these controllers which will allow down loading?

I have written software for the Amiga that allows you to do that. A port should
be simple. The HC11 has a bootstrap mode where it loads 256 bytes from the
serial port into RAM and then executes it. My program sends a 256 byte
program that then executes a program on the HC11 when loads a variable length
into the EEPROM. No programming hardware is needed (except a jumper on the
board to select bootstrap mode).

-Ron Menelli
[email-masked]